/**
 * @author pastakhov, MusikAnimal and others
 * @license GPL-2.0-or-later
 * @see https://gerrit.wikimedia.org/g/mediawiki/extensions/CodeMirror
 */
import { LanguageSupport } from '@codemirror/language';
export interface MwConfig {
    readonly urlProtocols: string;
    readonly tags: Record<string, true>;
    readonly tagModes: Record<string, string>;
    functionSynonyms: [Record<string, string>, Record<string, unknown>];
    doubleUnderscore: [Record<string, unknown>, Record<string, unknown>];
    variants?: string[];
    img?: Record<string, string>;
    nsid: Record<string, number>;
    permittedHtmlTags?: string[];
    implicitlyClosedHtmlTags?: string[];
    fromApi?: boolean;
}
/**
 * Gets a LanguageSupport instance for the MediaWiki mode.
 * @param config Configuration for the MediaWiki mode
 */
export declare const mediawiki: (config: MwConfig) => LanguageSupport;
/**
 * Gets a LanguageSupport instance for the mixed MediaWiki-HTML mode.
 * @param config Configuration for the MediaWiki mode
 */
export declare const html: (config: MwConfig) => LanguageSupport;
